### Method

# Gtk TreeSelection get_selected

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_selection_get_selected (
      GtkTreeSelection* selection,
      GtkTreeModel** model,
      GtkTreeIter* iter
    )

#### Description [src]

Sets `iter` to the currently selected node if `selection` is set to `GTK_SELECTION_SINGLE` or `GTK_SELECTION_BROWSE`. `iter` may be NULL if you just want to test if `selection` has any selected nodes. `model` is filled with the current model as a convenience. This function will not work if you use `selection` is `GTK_SELECTION_MULTIPLE`.

Deprecated since: 4.10

Use GtkListView or GtkColumnView.

#### Parameters

`model`

  Type: `GtkTreeModel`

  A pointer to set to the `GtkTreeModel`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`iter`

  Type: `GtkTreeIter`

  The `GtkTreeIter`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

TRUE, if there is a selected node.